import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import PropTypes from 'prop-types';
import cx from 'classnames';
import { jsx as _jsx } from "react/jsx-runtime";
var BASE_CLASS = 'sui-AtomRadioButton';
var CLASS_HIDDEN = "is-hidden";

var AtomRadioButton = function AtomRadioButton(_ref) {
  var _cx;

  var id = _ref.id,
      disabled = _ref.disabled,
      _ref$checked = _ref.checked,
      checked = _ref$checked === void 0 ? false : _ref$checked,
      onChange = _ref.onChange,
      isHidden = _ref.isHidden,
      value = _ref.value,
      props = _objectWithoutPropertiesLoose(_ref, ["id", "disabled", "checked", "onChange", "isHidden", "value"]);

  var handleChange = function handleChange(ev) {
    if (!disabled) {
      var _ev$target = ev.target,
          name = _ev$target.name,
          _value = _ev$target.value;
      typeof onChange === 'function' && onChange(ev, {
        name: name,
        value: _value
      });
    }
  };

  var className = cx(BASE_CLASS, (_cx = {}, _cx[CLASS_HIDDEN] = isHidden, _cx));
  return /*#__PURE__*/_jsx("input", _extends({
    className: className,
    value: value,
    type: "radio",
    id: id,
    disabled: disabled,
    checked: checked,
    onChange: handleChange
  }, props));
};

AtomRadioButton.displayName = 'AtomRadioButton';
export default AtomRadioButton;